---
name: Glenn Perez
start_date: 2018-06-04
locality: Melbourne
country: Australia
role: <a href="/job-families/marketing/sales-development-manager/">Sales Development
  Manager, APAC</a>
reports_to: hannahw
picture: glennperez.jpg
twitter: 
gitlab: glennper
departments:
- Marketing
- Revenue Marketing
- SDR
story: 'Joined June 4th

'
